import path from 'path';
import * as babel from 'babel-core';

const typeMapping = {
	js: 'js'
};

export default function BabelTransform(settings) {

	async function transform(content) {

		const jsSource = await content.asString('utf8');

		const output = babel.transform(jsSource, settings);

		const type = 'js';
		const contents = output.code;
		const mapping = output.map;

		return { type, contents, mapping };

	}

	return {
		typeMapping,
		transform
	};

}
